org.apache.xmlbeans.impl.xb.xsdownload.impl

## Class DownloadedSchemasDocumentImpl.DownloadedSchemasImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdownload.impl.DownloadedSchemasDocumentImpl.DownloadedSchemasImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, DownloadedSchemasDocument.DownloadedSchemas, SimpleValue, XmlObject, XmlTokenSource

Enclosing class:
  DownloadedSchemasDocumentImpl

    public static class DownloadedSchemasDocumentImpl.DownloadedSchemasImpl
    extends XmlComplexContentImpl
    implements DownloadedSchemasDocument.DownloadedSchemas

An XML downloaded-schemas(@http://www.bea.com/2003/01/xmlbean/xsdownload). This is a complex type.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdownload.DownloadedSchemasDocument.DownloadedSchemas

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Constructor Summary

Constructors
Constructor and Description
`DownloadedSchemasImpl(SchemaType sType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DownloadedSchemaEntry` `addNewEntry()` Appends and returns a new empty value (as xml) as the last "entry" element
`String` `getDefaultDirectory()` Gets the "defaultDirectory" attribute
`DownloadedSchemaEntry[]` `getEntryArray()` Gets array of all "entry" elements
`DownloadedSchemaEntry` `getEntryArray(int i)` Gets ith "entry" element
`List<DownloadedSchemaEntry>` `getEntryList()` Gets a List of "entry" elements
`DownloadedSchemaEntry` `insertNewEntry(int i)` Inserts and returns a new empty value (as xml) as the ith "entry" element
`boolean` `isSetDefaultDirectory()` True if has "defaultDirectory" attribute
`void` `removeEntry(int i)` Removes the ith "entry" element
`void` `setDefaultDirectory(String defaultDirectory)` Sets the "defaultDirectory" attribute
`void` `setEntryArray(DownloadedSchemaEntry[] entryArray)` Sets array of all "entry" element WARNING: This method is not atomicaly synchronized.
`void` `setEntryArray(int i, DownloadedSchemaEntry entry)` Sets ith "entry" element
`int` `sizeOfEntryArray()` Returns number of "entry" element
`void` `unsetDefaultDirectory()` Unsets the "defaultDirectory" attribute
`XmlToken` `xgetDefaultDirectory()` Gets (as xml) the "defaultDirectory" attribute
`void` `xsetDefaultDirectory(XmlToken defaultDirectory)` Sets (as xml) the "defaultDirectory" attribute

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Constructor Detail

#### DownloadedSchemasImpl

    public DownloadedSchemasImpl(SchemaType sType)

### Method Detail

#### getEntryList

    public List<DownloadedSchemaEntry> getEntryList()

Gets a List of "entry" elements

Specified by:
  `getEntryList` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### getEntryArray

    public DownloadedSchemaEntry[] getEntryArray()

Gets array of all "entry" elements

Specified by:
  `getEntryArray` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### getEntryArray

    public DownloadedSchemaEntry getEntryArray(int i)

Gets ith "entry" element

Specified by:
  `getEntryArray` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### sizeOfEntryArray

    public int sizeOfEntryArray()

Returns number of "entry" element

Specified by:
  `sizeOfEntryArray` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### setEntryArray

    public void setEntryArray(DownloadedSchemaEntry[] entryArray)

Sets array of all "entry" element WARNING: This method is not atomicaly synchronized.

Specified by:
  `setEntryArray` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### setEntryArray

    public void setEntryArray(int i,
                              DownloadedSchemaEntry entry)

Sets ith "entry" element

Specified by:
  `setEntryArray` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### insertNewEntry

    public DownloadedSchemaEntry insertNewEntry(int i)

Inserts and returns a new empty value (as xml) as the ith "entry" element

Specified by:
  `insertNewEntry` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### addNewEntry

    public DownloadedSchemaEntry addNewEntry()

Appends and returns a new empty value (as xml) as the last "entry" element

Specified by:
  `addNewEntry` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### removeEntry

    public void removeEntry(int i)

Removes the ith "entry" element

Specified by:
  `removeEntry` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### getDefaultDirectory

    public String getDefaultDirectory()

Gets the "defaultDirectory" attribute

Specified by:
  `getDefaultDirectory` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### xgetDefaultDirectory

    public XmlToken xgetDefaultDirectory()

Gets (as xml) the "defaultDirectory" attribute

Specified by:
  `xgetDefaultDirectory` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### isSetDefaultDirectory

    public boolean isSetDefaultDirectory()

True if has "defaultDirectory" attribute

Specified by:
  `isSetDefaultDirectory` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### setDefaultDirectory

    public void setDefaultDirectory(String defaultDirectory)

Sets the "defaultDirectory" attribute

Specified by:
  `setDefaultDirectory` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### xsetDefaultDirectory

    public void xsetDefaultDirectory(XmlToken defaultDirectory)

Sets (as xml) the "defaultDirectory" attribute

Specified by:
  `xsetDefaultDirectory` in interface `DownloadedSchemasDocument.DownloadedSchemas`

#### unsetDefaultDirectory

    public void unsetDefaultDirectory()

Unsets the "defaultDirectory" attribute

Specified by:
  `unsetDefaultDirectory` in interface `DownloadedSchemasDocument.DownloadedSchemas`